> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Blood Banks

> User can get blood banks.



## OpenAPI

````yaml GET /abdm/uhi/v1/blood-bank/search/{request_id}
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/uhi/v1/blood-bank/search/{request_id}:
    get:
      description: Get Blood Banks which is searched.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - description: Request ID
          in: path
          name: request_id
          required: true
          schema:
            description: Request ID
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelBloodBankStateWiseResponse'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ModelBloodBankStateWiseResponse:
      properties:
        data:
          $ref: '#/components/schemas/ModelBloodBankEkaResponse'
        request_id:
          type: string
        status:
          type: string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    ModelBloodBankEkaResponse:
      properties:
        context:
          $ref: '#/components/schemas/ModelContext'
        error_code:
          $ref: '#/components/schemas/ModelErrorCode'
        message:
          $ref: '#/components/schemas/ModelUHIMessage'
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
    ModelContext:
      properties:
        action:
          type: string
        city:
          type: string
        consumer_id:
          type: string
        consumer_uri:
          type: string
        core_version:
          type: string
        country:
          type: string
        domain:
          type: string
        message_id:
          type: string
        provider_id:
          type: string
        provider_uri:
          type: string
        timestamp:
          type: string
        transaction_id:
          type: string
      type: object
    ModelErrorCode:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
    ModelUHIMessage:
      properties:
        catalog:
          $ref: '#/components/schemas/ModelCatalogDescriptor'
      type: object
    ModelCatalogDescriptor:
      properties:
        descriptor:
          $ref: '#/components/schemas/ModelUHIDescriptor'
        providers:
          items:
            $ref: '#/components/schemas/ModelProviders'
          type:
            - array
            - 'null'
      type: object
    ModelUHIDescriptor:
      properties:
        code:
          type: string
        images:
          type: string
        long_desc:
          type: string
        name:
          type: string
        short_desc:
          type: string
      type: object
    ModelProviders:
      properties:
        categories:
          items:
            $ref: '#/components/schemas/ModelUHICategory'
          type:
            - array
            - 'null'
        contact:
          $ref: '#/components/schemas/ModelContact'
        descriptor:
          $ref: '#/components/schemas/ModelUHIDescriptor'
        fulfillments:
          items:
            $ref: '#/components/schemas/ModelUHIFulfillments'
          type:
            - array
            - 'null'
        id:
          type: string
        items:
          items:
            $ref: '#/components/schemas/ModelUHIItem'
          type:
            - array
            - 'null'
        location:
          $ref: '#/components/schemas/ModelUHILocation'
      type: object
    ModelUHICategory:
      properties:
        descriptor:
          $ref: '#/components/schemas/ModelDescriptor'
        id:
          type: string
      type: object
    ModelContact:
      properties:
        email:
          type: string
        phone:
          type: string
      type: object
    ModelUHIFulfillments:
      properties:
        id:
          type: string
        start:
          $ref: '#/components/schemas/ModelTimeSeries'
        type:
          type: string
      type: object
    ModelUHIItem:
      properties:
        category_id:
          type: string
        descriptor:
          $ref: '#/components/schemas/ModelDescriptor'
        fulfillment_id:
          type: string
        id:
          type: string
        quantity:
          $ref: '#/components/schemas/ModelQuantity'
      type: object
    ModelUHILocation:
      properties:
        address:
          type: string
        city:
          $ref: '#/components/schemas/ModelDescriptor'
        country:
          $ref: '#/components/schemas/ModelDescriptor'
        descriptor:
          $ref: '#/components/schemas/ModelUHIDescriptor'
        gps:
          type: string
        id:
          type: string
      type: object
    ModelDescriptor:
      properties:
        code:
          type: string
        name:
          type: string
      type: object
    ModelTimeSeries:
      properties:
        time:
          $ref: '#/components/schemas/ModelTimeStamp'
      type: object
    ModelQuantity:
      properties:
        count:
          type: integer
        measure:
          $ref: '#/components/schemas/ModelMeasure'
      type: object
    ModelTimeStamp:
      properties:
        timestamp:
          type: string
      type: object
    ModelMeasure:
      properties:
        computed_value:
          type: integer
        eliminated_value:
          type: integer
        unit:
          type: string
        value:
          type: integer
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````